Bug 171629 - Network Manager will not recognize the active wired ethernet port
Network Manager will not recognize the active wired ethernet port
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-24 11:44 EDT by Christopher Tyler
Modified: 2008-02-11 22:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 22:10:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Tyler 2005-10-24 11:44:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050927 Fedora/1.0.7-2.1.fc4.nr Firefox/1.0.7

Description of problem:
As soon as NetworkManager is started, it wipes out the routing tables.  The resolv.conf file is fine still shows my normal route.  It activates all interfaces present on the machine and continually 'searches' for a wireless network.  Even after turning off the wireless option from the applet it will not work.  It does recognize that there is a connection but will not set up the route for the interface.  Have not yet tried it with a wireless AP to see if problem is there as well.

Version-Release number of selected component (if applicable):
0.5.0 from Updates-Testing Repo

How reproducible:
Always

Steps to Reproduce:
1. sudo service NetworkManager start
2. NetworkManagerInfo

  

Actual Results:  No wired eth traffic goes in or out.

Expected Results:  It should have recognized the ethernet was plugged in and used it properly without wiping out the routing table.

Additional info:
Comment 1 Dan Williams 2005-10-24 12:19:21 EDT
When the cable is plugged in, what does:

cat /sys/class/net/<your eth device>/carrier

say?  (it will be either '0' or '1')
Comment 2 Christopher Tyler 2005-10-24 12:35:22 EDT
$ cat /sys/class/net/eth0/carrier
0
cat /sys/class/net/eth1/carrier
1
cat /sys/class/net/eth2/carrier
1

NIC Desc.
===========
eth0 is the built-in ethernet on the laptop
Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
eth1 is the docking station ethernet
Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
eth2 is the wireless
Intersil PRISM2

Installed Versions:
===================
NetworkManager-0.5.1-1.FC4.1
dbus-0.50-2.1.fc4.nr
hal-0.5.4-3.1.fc4.nr
wireless-tools-28-0.pre10.4
dhcdbd-1.9-1.FC4
dhclient-3.0.2-24.FC4
bind-9.3.1-14_FC4
kernel-2.6.13-1.1526_FC4

Output:
$ ip route show (shows no routes at all)

$ cat /etc/resolv.conf
; generated by /sbin/dhclient-script
search atlascomm.net
nameserver 10.0.0.1
Comment 3 Christian Iseli 2007-01-22 06:24:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Dan Williams 2008-02-11 22:10:16 EST
Likely fixed by netlink-based link detection in F6 and later.

Note You need to log in before you can comment on or make changes to this bug.